UpdateConnector
Updates the specified connector. For request body, specify only one parameter: either capacity or connectorConfiguration.
Request Syntax
PUT /v1/connectors/connectorArn?currentVersion=currentVersion HTTP/1.1
Content-type: application/json
{
"capacity": {
"autoScaling": {
"maxAutoscalingTaskCount": number,
"maxWorkerCount": number,
"mcuCount": number,
"minWorkerCount": number,
"scaleInPolicy": {
"cpuUtilizationPercentage": number
},
"scaleOutPolicy": {
"cpuUtilizationPercentage": number
}
},
"provisionedCapacity": {
"mcuCount": number,
"workerCount": number
}
},
"connectorConfiguration": {
"string" : "string"
},
"skipHealthValidation": boolean
}
URI Request Parameters
The request uses the following URI parameters.
- connectorArn
-
The Amazon Resource Name (ARN) of the connector that you want to update.
Required: Yes
- currentVersion
-
The current version of the connector that you want to update.
Required: Yes
Request Body
The request accepts the following data in JSON format.
- capacity
-
The target capacity.
Type: CapacityUpdate object
Required: No
- connectorConfiguration
-
A map of keys to values that represent the configuration for the connector.
Type: String to string map
Required: No
- skipHealthValidation
-
Specifies whether the update bypasses connector-level and task-level health checks. If
true, the update skips the health checks. The update stays in effect even if the connector or its tasks are unhealthy, and Amazon MSK Connect doesn't roll it back. Iffalseor not specified, the health checks run. If they fail, MSK Connect automatically rolls the connector back to its previous configuration, and the update doesn't take effect. To update a connector that is in thePAUSEDstate, you must set this parameter totrue.Type: Boolean
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"connectorArn": "string",
"connectorOperationArn": "string",
"connectorState": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- connectorArn
-
The Amazon Resource Name (ARN) of the connector.
Type: String
- connectorOperationArn
-
The Amazon Resource Name (ARN) of the connector operation.
Type: String
- connectorState
-
The state of the connector.
Type: String
Valid Values:
RUNNING | CREATING | UPDATING | DELETING | FAILED | PAUSED | RESTARTING | PAUSING | RESUMING
Errors
For information about the errors that are common to all actions, see Common Error Types.
- BadRequestException
-
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.
HTTP Status Code: 400
- ForbiddenException
-
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.
HTTP Status Code: 403
- InternalServerErrorException
-
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.
HTTP Status Code: 500
- NotFoundException
-
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.
HTTP Status Code: 404
- ServiceUnavailableException
-
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.
HTTP Status Code: 503
- TooManyRequestsException
-
HTTP Status Code 429: Limit exceeded. Resource limit reached.
HTTP Status Code: 429
- UnauthorizedException
-
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.
HTTP Status Code: 401
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: